libzypp 17.38.15

PublicKey.cc File Reference
`#include <climits>`
`#include <iostream>`
`#include <utility>`
`#include <vector>`
`#include "PublicKey.h"`
`#include "KeyManager.h"`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Regex.h>`
`#include <zypp-core/ExternalProgram.h>`
`#include <zypp-core/fs/TmpPath.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/Date.h>`
`#include <gpgme.h>`

Go to the source code of this file.

## Classes
class | zypp::PublicSubkeyData::Impl
| PublicSubkeyData implementation. More...
class | zypp::PublicKeySignatureData::Impl
| PublicKeySignatureData implementation. More...
class | zypp::PublicKeyData::Impl
| PublicKeyData implementation. More...
class | zypp::PublicKey::Impl
| PublicKey implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::gpg"

## Functions
std::ostream & | zypp::dumpOn (std::ostream &str, const PublicKeyData &obj)
| relates: PublicKeyData Detailed stream output
bool | zypp::operator== (const PublicKeyData &lhs, const PublicKeyData &rhs) ZYPP_API
| relates: PublicKeyData Equal based on fingerprint anf creation date.
std::ostream & | zypp::dumpOn (std::ostream &str, const PublicKey &obj) ZYPP_API
| relates: PublicKey Detailed stream output

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::gpg"

Definition at line 36 of file PublicKey.cc.